## flashrom 1.3.0

=== Makefile ===
#
# This file is part of the flashrom project.
#
# Copyright (C) 2005 coresystems GmbH <stepan@coresystems.de>
# Copyright (C) 2009,2010,2012 Carl-Daniel Hailfinger
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

PROGRAM = flashrom

###############################################################################
# Defaults for the toolchain.

# If you want to cross-compile, just run e.g.
# make CC=i586-pc-msdosdjgpp-gcc
# You may have to specify STRIP/AR/RANLIB as well.
#
# Note for anyone editing this Makefile: gnumake will happily ignore any
# changes in this Makefile to variables set on the command line.
STRIP   ?= strip
STRIP_ARGS = -s
INSTALL = install
PREFIX  ?= /usr/local
MANDIR  ?= $(PREFIX)/share/man
CFLAGS  ?= -Os -Wall -Wextra -Wno-unused-parameter -Wshadow -Wmissing-prototypes -Wwrite-strings
EXPORTDIR ?= .
RANLIB  ?= ranlib
PKG_CONFIG ?= pkg-config
BUILD_DETAILS_FILE ?= build_details.txt

# The following parameter changes the default programmer that will be used if there is no -p/--programmer
# argument given when running flashrom. The predefined setting does not enable any default so that every
# user has to declare the programmer he wants to use on every run. The rationale for this to be not set
# (to e.g. the internal programmer) is that forgetting to specify this when working with another programmer
# easily puts the system attached to the default programmer at risk (e.g. you want to flash coreboot to another
# system attached to an external programmer while the default programmer is set to the internal programmer, and
# you forget to use the -p parameter. This would (try to) overwrite the existing firmware of the computer
# running flashrom). Please do not enable this without thinking about the possible consequences. Possible
# values can be found when running 'flashrom --list-supported' under the 'Supported programmers' section.
CONFIG_DEFAULT_PROGRAMMER_NAME ?=
# The following adds a default parameter for the default programmer set above (only).
CONFIG_DEFAULT_PROGRAMMER_ARGS ?=
# Example: compiling with
#   make CONFIG_DEFAULT_PROGRAMMER_NAME=serprog CONFIG_DEFAULT_PROGRAMMER_ARGS="dev=/dev/ttyUSB0:1500000"
# would make executing './flashrom' (almost) equivialent to './flashrom -p serprog:dev=/dev/ttyUSB0:1500000'.

# The user can provide CPP, C and LDFLAGS and the Makefile will extend these
override CPPFLAGS := $(CPPFLAGS)
override CFLAGS   := $(CFLAGS)
override LDFLAGS  := $(LDFLAGS)

# If your compiler spits out excessive warnings, run make WARNERROR=no
# You shouldn't have to change this flag.
WARNERROR ?= yes

ifeq ($(WARNERROR), yes)
override CFLAGS += -Werror
endif

ifdef LIBS_BASE
PKG_CONFIG_LIBDIR ?= $(LIBS_BASE)/lib/pkgconfig
override CPPFLAGS += -I$(LIBS_BASE)/include
override LDFLAGS += -L$(LIBS_BASE)/lib -Wl,-rpath -Wl,$(LIBS_BASE)/lib
endif

ifeq ($(CONFIG_STATIC),yes)
override LDFLAGS += -static
endif

# Set LC_ALL=C to minimize influences of the locale.
# However, this won't work for the majority of relevant commands because they use the $(shell) function and
# GNU make does not relay variables exported within the makefile to their environment.
LC_ALL=C
export LC_ALL

dummy_for_make_3_80:=$(shell printf "Build started on %s\n\n" "$$(date)" >$(BUILD_DETAILS_FILE))

# Provide an easy way to execute a command, print its output to stdout and capture any error message on stderr
# in the build details file together with the original stdout output.
debug_shell = $(shell export LC_ALL=C ; { echo 'exec: export LC_ALL=C ; { $(subst ','\'',$(1)) ; }' >&2; \
    { $(1) ; } | tee -a $(BUILD_DETAILS_FILE) ; echo >&2 ; } 2>>$(BUILD_DETAILS_FILE))

include Makefile.include

###############################################################################
# Dependency handling.

DEPENDS_ON_SERIAL := \
	CONFIG_BUSPIRATE_SPI \
	CONFIG_PONY_SPI \
	CONFIG_SERPROG \

DEPENDS_ON_SOCKETS := \
	CONFIG_SERPROG \

DEPENDS_ON_BITBANG_SPI := \
	CONFIG_DEVELOPERBOX_SPI \
	CONFIG_INTERNAL_X86 \
	CONFIG_NICINTEL_SPI \
	CONFIG_OGP_SPI \
	CONFIG_PONY_SPI \
	CONFIG_RAYER_SPI \

DEPENDS_ON_RAW_MEM_ACCESS := \
	CONFIG_ATAPROMISE \
	CONFIG_DRKAISER \
	CONFIG_GFXNVIDIA \
	CONFIG_INTERNAL_X86 \
	CONFIG_IT8212 \
	CONFIG_NICINTEL \
	CONFIG_NICINTEL_EEPROM \
	CONFIG_NICINTEL_SPI \
	CONFIG_OGP_SPI \
	CONFIG_SATAMV \
	CONFIG_SATASII \

DEPENDS_ON_X86_MSR := \
	CONFIG_INTERNAL_X86 \

DEPENDS_ON_X86_PORT_IO := \
	CONFIG_ATAHPT \
	CONFIG_ATAPROMISE \
	CONFIG_INTERNAL_X86 \
	CONFIG_NIC3COM \
	CONFIG_NICNATSEMI \
	CONFIG_NICREALTEK \
	CONFIG_RAYER_SPI \
	CONFIG_SATAMV \

DEPENDS_ON_LIBPCI := \
	CONFIG_ATAHPT \
	CONFIG_ATAPROMISE \
	CONFIG_ATAVIA \
	CONFIG_DRKAISER \
	CONFIG_GFXNVIDIA \
	CONFIG_INTERNAL \
	CONFIG_IT8212 \
	CONFIG_NIC3COM \
	CONFIG_NICINTEL \
	CONFIG_NICINTEL_EEPROM \
	CONFIG_NICINTEL_SPI \
	CONFIG_NICNATSEMI \
	CONFIG_NICREALTEK \
	CONFIG_OGP_SPI \
	CONFIG_SATAMV \
	CONFIG_SATASII \

DEPENDS_ON_LIBUSB1 := \
	CONFIG_CH341A_SPI \
	CONFIG_DEDIPROG \
	CONFIG_DEVELOPERBOX_SPI \
	CONFIG_DIGILENT_SPI \
	CONFIG_PICKIT2_SPI \
	CONFIG_RAIDEN_DEBUG_SPI \
	CONFIG_STLINKV3_SPI \
	CONFIG_DIRTYJTAG_SPI \

DEPENDS_ON_LIBFTDI1 := \
	CONFIG_FT2232_SPI \
	CONFIG_USBBLASTER_SPI \

DEPENDS_ON_LIBJAYLINK := \
	CONFIG_JLINK_SPI \

DEPENDS_ON_LIB_NI845X := \
	CONFIG_NI845X_SPI \

DEPENDS_ON_LINUX_I2C := \
	CONFIG_MSTARDDC_SPI \
	CONFIG_PARADE_LSPCON \
	CONFIG_REALTEK_MST_I2C_SPI \
	CONFIG_MEDIATEK_I2C_SPI \

ifeq ($(CONFIG_ENABLE_LIBUSB1_PROGRAMMERS), no)
$(call disable_all,$(DEPENDS_ON_LIBUSB1))
endif

ifeq ($(CONFIG_ENABLE_LIBPCI_PROGRAMMERS), no)
$(call disable_all,$(DEPENDS_ON_LIBPCI))
endif

###############################################################################
# General OS-specific settings.
# 1. Prepare for later by gathering information about host and target OS
# 2. Set compiler flags and parameters according to OSes
# 3. Likewise verify user-supplied CONFIG_* variables.

# HOST_OS is only used to work around local toolchain issues.
HOST_OS ?= $(shell uname)
ifeq ($(findstring MINGW, $(HOST_OS)), MINGW)
# Explicitly set CC = gcc on MinGW, otherwise: "cc: command not found".
CC = gcc
endif

CC_WORKING := $(call c_compile_test, Makefile.d/cc_test.c)

# Configs for dependencies. Can be overwritten by commandline
CONFIG_LIBFTDI1_VERSION    := $(call dependency_version, libftdi1)
CONFIG_LIBFTDI1_CFLAGS     := $(call dependency_cflags, libftdi1)
CONFIG_LIBFTDI1_LDFLAGS    := $(call dependency_ldflags, libftdi1)

# Hack to keep legacy auto detection of Program Files (x86), Only active if none of the CONFIG_ variables for ni845x are set.
ifeq ($(CONFIG_NI845X_LIBRARY_PATH)$(CONFIG_LIB_NI845X_CFLAGS)$(CONFIG_LIB_NI845X_LDFLAGS),)
PROGRAMFILES_X86 = $(shell env | sed -n "s/^PROGRAMFILES(X86)=//p")
ifneq ($(PROGRAMFILES_X86DIR),)
ifneq ($(PROGRAMFILES_X86DIR), ${PROGRAMFILES})
NI854_X86_LIBRARY_PATH := '${PROGRAMFILES_X86}\National Instruments\NI-845x\MS Visual C'
endif
endif
endif

CONFIG_NI845X_LIBRARY_PATH := '${PROGRAMFILES}\National Instruments\NI-845x\MS Visual C'
CONFIG_LIB_NI845X_CFLAGS   := -I$(CONFIG_NI845X_LIBRARY_PATH) $(if NI854_X86_LIBRARY_PATH, -I${NI854_X86_LIBRARY_PATH})
CONFIG_LIB_NI845X_LDFLAGS  := -L$(CONFIG_NI845X_LIBRARY_PATH) $(if NI854_X86_LIBRARY_PATH, -L${NI854_X86_LIBRARY_PATH}) -lni845x

CONFIG_LIBJAYLINK_VERSION  := $(call dependency_version, libjaylink)
CONFIG_LIBJAYLINK_CFLAGS   := $(call dependency_cflags, libjaylink)
CONFIG_LIBJAYLINK_LDFLAGS  := $(call dependency_ldflags, libjaylink)

CONFIG_LIBUSB1_VERSION     := $(call dependency_version, libusb-1.0)
CONFIG_LIBUSB1_CFLAGS      := $(call dependency_cflags, libusb-1.0)
CONFIG_LIBUSB1_LDFLAGS     := $(call dependency_ldflags, libusb-1.0)

CONFIG_LIBPCI_VERSION      := $(call dependency_version, libpci)
CONFIG_LIBPCI_CFLAGS       := $(call dependency_cflags, libpci)
CONFIG_LIBPCI_LDFLAGS      := $(call dependency_ldflags, libpci)

# Determine the destination OS, architecture and endian
# IMPORTANT: The following lines must be placed before TARGET_OS, ARCH or ENDIAN
# is ever used (of course), but should come after any lines setting CC because
# the lines below use CC itself.
override TARGET_OS  := $(call c_macro_test, Makefile.d/os_test.h)
override ARCH       := $(call c_macro_test, Makefile.d/arch_test.h)
override ENDIAN     := $(call c_macro_test, Makefile.d/endian_test.h)


HAS_LIBFTDI1        := $(call find_dependency, libftdi1)
HAS_LIB_NI845X      := no
HAS_LIBJAYLINK      := $(call find_dependency, libjaylink)
HAS_LIBUSB1         := $(call find_dependency, libusb-1.0)
HAS_LIBPCI          := $(call find_dependency, libpci)

HAS_PCI_OLD_GET_DEV := $(call c_compile_test, Makefile.d/pci_old_get_dev_test.c, $(CONFIG_LIBPCI_CFLAGS))
HAS_FT232H          := $(call c_compile_test, Makefile.d/ft232h_test.c, $(CONFIG_LIBFTDI1_CFLAGS))
HAS_UTSNAME         := $(call c_compile_test, Makefile.d/utsname_test.c)
HAS_CLOCK_GETTIME   := $(call c_compile_test, Makefile.d/clock_gettime_test.c)
HAS_EXTERN_LIBRT    := $(call c_link_test, Makefile.d/clock_gettime_test.c, , -lrt)
HAS_LINUX_MTD       := $(call c_compile_test, Makefile.d/linux_mtd_test.c)
HAS_LINUX_SPI       := $(call c_compile_test, Makefile.d/linux_spi_test.c)
HAS_LINUX_I2C       := $(call c_compile_test, Makefile.d/linux_i2c_test.c)
HAS_SERIAL          := $(strip $(if $(filter $(TARGET_OS), DOS libpayload), no, yes))
EXEC_SUFFIX         := $(strip $(if $(filter $(TARGET_OS), DOS MinGW), .exe))

override CFLAGS += -Iinclude

ifeq ($(TARGET_OS), DOS)
# DJGPP has odd uint*_t definitions which cause lots of format string warnings.
override CFLAGS += -Wno-format
override LDFLAGS += -lgetopt
endif

ifeq ($(TARGET_OS), $(filter $(TARGET_OS), MinGW Cygwin))
$(call mark_unsupported,$(DEPENDS_ON_RAW_MEM_ACCESS))
$(call mark_unsupported,$(DEPENDS_ON_X86_PORT_IO))
$(call mark_unsupported,$(DEPENDS_ON_X86_MSR))
FEATURE_FLAGS += -D'IS_WINDOWS=1'
else
FEATURE_FLAGS += -D'IS_WINDOWS=0'
endif

# FIXME: Should we check for Cygwin/MSVC as well?
ifeq ($(TARGET_OS), MinGW)
# MinGW doesn't have the ffs() function, but we can use gcc's __builtin_ffs().
FLASHROM_CFLAGS += -Dffs=__builtin_ffs
# Some functions provided by Microsoft do not work as described in C99 specifications. This macro fixes that
# for MinGW. See http://sourceforge.net/p/mingw-w64/wiki2/printf%20and%20scanf%20family/ */
FLASHROM_CFLAGS += -D__USE_MINGW_ANSI_STDIO=1

# For now we disable all PCI-based programmers on Windows/MinGW (no libpci).
$(call mark_unsupported,$(DEPENDS_ON_LIBPCI))
# And programmers that need raw access.
$(call mark_unsupported,$(DEPENDS_ON_RAW_MEM_ACCESS))

else # No MinGW

# NI USB-845x only supported on Windows at the moment
$(call mark_unsupported,CONFIG_NI845X_SPI)

endif

ifeq ($(TARGET_OS), libpayload)
ifeq ($(MAKECMDGOALS),)
.DEFAULT_GOAL := libflashrom.a
$(info Setting default goal to libflashrom.a)
endif
$(call mark_unsupported,CONFIG_DUMMY)
# libpayload does not provide the romsize field in struct pci_dev that the atapromise code requires.
$(call mark_unsupported,CONFIG_ATAPROMISE)
# Dediprog, Developerbox, USB-Blaster, PICkit2, CH341A and FT2232 are not supported with libpayload (missing libusb support).
$(call mark_unsupported,$(DEPENDS_ON_LIBUSB1) $(DEPENDS_ON_LIBFTDI) $(DEPENDS_ON_LIBJAYLINK))
endif

ifeq ($(HAS_LINUX_MTD), no)
$(call mark_unsupported,CONFIG_LINUX_MTD)
endif

ifeq ($(HAS_LINUX_SPI), no)
$(call mark_unsupported,CONFIG_LINUX_SPI)
endif

ifeq ($(HAS_LINUX_I2C), no)
$(call mark_unsupported,DEPENDS_ON_LINUX_I2C)
endif

ifeq ($(TARGET_OS), Android)
# Android on x86 (currently) does not provide raw PCI port I/O operations.

=== util/ich_descriptors_tool/Makefile ===
#
# This file is part of the flashrom project.
#
# This Makefile works standalone, but it is usually called from the main
# Makefile in the flashrom directory.

include ../../Makefile.include

PROGRAM=ich_descriptors_tool
EXTRAINCDIRS = ../../ .
DEPPATH = .dep
OBJATH = .obj
SHAREDSRC = ich_descriptors.c
SHAREDSRCDIR = ../..
# If your compiler spits out excessive warnings, run make WARNERROR=no
# You shouldn't have to change this flag.
WARNERROR ?= yes

SRC = $(wildcard *.c)

# If the user has specified custom CFLAGS, all CFLAGS settings below will be
# completely ignored by gnumake.
CFLAGS ?= -Os -Wall -Wshadow
override CFLAGS += -I$(SHAREDSRCDIR)/include

# Auto determine HOST_OS and TARGET_OS if they are not set as argument
HOST_OS ?= $(shell uname)
TARGET_OS := $(call c_macro_test, ../../Makefile.d/os_test.h)

ifeq ($(findstring MINGW, $(HOST_OS)), MINGW)
# Explicitly set CC = gcc on MinGW, otherwise: "cc: command not found".
CC = gcc
endif

ifeq ($(TARGET_OS), DOS)
EXEC_SUFFIX := .exe
# DJGPP has odd uint*_t definitions which cause lots of format string warnings.
CFLAGS += -Wno-format
endif

ifeq ($(TARGET_OS), MinGW)
EXEC_SUFFIX := .exe
# Some functions provided by Microsoft do not work as described in C99 specifications. This macro fixes that
# for MinGW. See http://sourceforge.net/p/mingw-w64/wiki2/printf%20and%20scanf%20family/
CFLAGS += -D__USE_MINGW_ANSI_STDIO=1
endif

ifeq ($(WARNERROR), yes)
CFLAGS += -Werror
endif


FLASHROM_CFLAGS += -MMD -MP -MF $(DEPPATH)/$(@F).d
# enables functions that populate the descriptor structs from plain binary dumps
FLASHROM_CFLAGS += -D ICH_DESCRIPTORS_FROM_DUMP_ONLY
FLASHROM_CFLAGS += $(patsubst %,-I%,$(EXTRAINCDIRS))

OBJ = $(OBJATH)/$(SRC:%.c=%.o)

SHAREDOBJ = $(OBJATH)/$(notdir $(SHAREDSRC:%.c=%.o))

all:$(PROGRAM)$(EXEC_SUFFIX)

$(OBJ): $(OBJATH)/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(FLASHROM_CFLAGS) -o $@ -c $<

# this enables us to share source files without simultaneously sharing .o files
# with flashrom, which would lead to unexpected results (w/o running make clean)
$(SHAREDOBJ): $(OBJATH)/%.o : $(SHAREDSRCDIR)/%.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(FLASHROM_CFLAGS) -o $@ -c $<

$(PROGRAM)$(EXEC_SUFFIX): $(OBJ) $(SHAREDOBJ)
	$(CC) $(LDFLAGS) -o $(PROGRAM)$(EXEC_SUFFIX) $(OBJ) $(SHAREDOBJ)

# We don't use EXEC_SUFFIX here because we want to clean everything.
clean:
	rm -f $(PROGRAM) $(PROGRAM).exe
	rm -rf $(DEPPATH) $(OBJATH)

# Include the dependency files.
-include $(shell mkdir -p $(DEPPATH) $(OBJATH) 2>/dev/null) $(wildcard $(DEPPATH)/*)

.PHONY: all clean

=== util/manibuilder/Makefile ===
QUIET_TEST := @

include Makefile.targets

CC := ccache cc
MAKECMD := make
MAKEARGS := CONFIG_EVERYTHING=yes

spc :=
spc := $(spc) $(spc)

stem = $(word 1,$(subst :,$(spc),$(subst \:,$(spc),$(1))))
ident = $(subst :,_,$(subst \:,_,$(1)))

include Makefile.anita

define build_template
Dockerfile.$(call ident,$(1)): Dockerfile.$(call stem,$(1)) mani-wrapper.sh
	$(QUIET_SETUP)sed -e 's|^FROM manibase|FROM $(2)/$(1)|' $$< >$$@

.INTERMEDIATE: Dockerfile.$(call ident,$(1))

$(1)-build: Dockerfile.$(call ident,$(1))
	$(QUIET_SETUP)docker build . -f $$< -t mani/$(1) $$(DOCKER_BUILD_ARGS)
endef

$(foreach tag,$(MULTIARCH_TAGS), \
	$(eval $(call build_template,$(tag),multiarch)))

$(addsuffix -build,$(filter alpine%v3.7 alpine%v3.8,$(MULTIARCH_TAGS))): \
	DOCKER_BUILD_ARGS = --build-arg PROTO=http

djgpp\:6.1.0-build: %-build: Dockerfile.djgpp mani-wrapper.sh
	$(QUIET_SETUP)docker build . -f $< -t mani/$*

$(addsuffix -check-build,$(ALL_TAGS)): %-check-build:
	$(QUIET_SETUP)\
	[ $$(docker image ls -q mani/$*) ] \
		|| $(MAKE) $*-build $(if $(QUIET_SETUP),>/dev/null 2>/dev/null)

$(filter centos%,$(MULTIARCH_TAGS)) anita\:7.1-sparc: CC=cc
djgpp\:6.1.0: CC=ccache i586-pc-msdosdjgpp-gcc
djgpp\:6.1.0: STRIP=i586-pc-msdosdjgpp-strip
djgpp\:6.1.0: LIBS_BASE=../
djgpp\:6.1.0: MAKEARGS+=strip CONFIG_JLINK_SPI=no
$(ANITA_TAGS): MAKECMD=gmake
$(ANITA_TAGS): MAKEARGS+=CONFIG_JLINK_SPI=no WARNERROR=no
$(filter alpine% centos%,$(MULTIARCH_TAGS)): MAKEARGS+=CONFIG_JLINK_SPI=no
$(filter %-xenial %-stretch,$(MULTIARCH_TAGS)): MAKEARGS+=CONFIG_JLINK_SPI=no
$(filter centos%,$(MULTIARCH_TAGS)): MAKEARGS+=WARNERROR=no
$(ALL_TAGS): export QUIET_SETUP=$(QUIET_TEST)
$(ALL_TAGS): %: %-check-build
	$(QUIET_TEST)docker rm -f mani_$(call ident,$*) >/dev/null 2>&1 || true
	$(QUIET_TEST)\
	docker run \
		--env IDENT=$(call ident,$*) \
		--volume manicache:/home/mani/.ccache \
		--name mani_$(call ident,$*) mani/$* \
		"git fetch origin $${TEST_REVISION:-master} && \
		 git checkout FETCH_HEAD && \
		 $(MAKECMD) clean && $(MAKECMD) -j$${CPUS:-1} CC='$(CC)' \
		 $(if $(STRIP),STRIP='$(STRIP)') \
		 $(if $(LIBS_BASE),LIBS_BASE='$(LIBS_BASE)') \
		 $(MAKEARGS)" \
		$(if $(QUIET_TEST),>/dev/null 2>&1) || echo $*: $$?

$(addsuffix -shell,$(ALL_TAGS)): %-shell: %-check-build
	$(QUIET_SETUP)\
	if [ $$(docker ps -a -q -f name=mani_$(call ident,$*)) ]; then \
		docker commit mani_$(call ident,$*) mani_run/$* && \
		docker run --rm -it \
			--env IDENT=$(call ident,$*) \
			--volume manicache:/home/mani/.ccache \
			--entrypoint /bin/sh mani_run/$* \
			/home/mani/mani-wrapper.sh \
			$(patsubst %,"%",$(SHELL_ARG)); \
		docker image rm mani_run/$*; \
	else \
		docker run --rm -it \
			--env IDENT=$(call ident,$*) \
			--volume manicache:/home/mani/.ccache \
			mani/$* $(patsubst %,"%",$(SHELL_ARG)); \
	fi

.PHONY: $(foreach s,-build -check-build -shell, $(addsuffix $(s),$(ALL_TAGS)))

register:
	docker build . \
		-f Dockerfile.qemu-user-static \
		-t mani/qemu-user-static:register
	docker run --rm --privileged mani/qemu-user-static:register --reset

.PHONY: register

=== debian/changelog ===
flashrom (1.3.0-2.1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:41 +0200

flashrom (1.3.0-2.1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + d/p/series,d/control: keep libjaylink disabled to avoid MIR, LP: 2007283

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 23 May 2023 09:14:13 +0200

flashrom (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove no longer used debian/flashrom.pc
    (pkg-config file is now generated during the build).
  * libflashrom-dev: Remove the unnecessary Requires.private
    from flashrom.pc. (Closes: #1031448)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 17:13:29 +0200

flashrom (1.3.0-2ubuntu1) lunar; urgency=medium

  * d/p/series,d/control: keep libjaylink disabled to avoid MIR (LP: #2007283)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 14 Feb 2023 16:03:02 +0100

flashrom (1.3.0-2) unstable; urgency=medium

  * d/rules:
    - Drop meson configure options not recognized anymore. (Closes: #1030550)
    - Enable jlink_spi programmer. (Closes: #976639)
  * d/control: add libjaylink-dev to build-depends.
  * New version meson also builds the missing programmers. (Closes: #955387)

 -- Gürkan Myczko <tar@debian.org>  Mon, 06 Feb 2023 11:32:07 +0100

flashrom (1.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.2.
  * Bump debhelper version to 13, drop d/compat.
  * d/clean: add flashrom.8.
  * d/manpages renamed to d/flashrom.manpages.
  * d/not-installed: added.

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Feb 2023 11:41:24 +0100

=== debian/control ===
Source: flashrom
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Jeremiah C. Foster <jeremiah.foster@puri.sm>, Mario Limonciello <mario.limonciello@dell.com>, Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libpci-dev,
 libusb-1.0-0-dev [!hurd-i386],
 libftdi1-dev [!hurd-i386],
 meson
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/myczko-guest/flashrom
Vcs-Git: https://salsa.debian.org/myczko-guest/flashrom.git
Homepage: http://www.flashrom.org

Package: flashrom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Identify, read, write, erase, and verify BIOS/ROM/flash chips
 flashrom is a tool for identifying, reading, writing, verifying and erasing
 flash chips. It's often used to flash BIOS/EFI/coreboot/firmware/optionROM
 images in-system using a supported mainboard, but it also supports flashing of
 network cards (NICs), SATA controller cards, and other external devices which
 can program flash chips.
 .
 It supports a wide range of DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32/40/48,
 and BGA chips, which use various protocols such as LPC, FWH, parallel
 flash, or SPI.
 .
 The tool can be used to flash BIOS/firmware images for example -- be it
 proprietary BIOS images or coreboot (previously known as LinuxBIOS) images.
 .
 It can also be used to read the current existing BIOS/firmware from a
 flash chip.
 .
 Currently supported programmers include:
 .
   * internal (for in-system flashing in the mainboard)
   * dummy (virtual programmer for testing flashrom)
   * nic3com (for flash ROMs on 3COM network cards)
   * nicrealtek (for flash ROMs on Realtek and SMC 1211 network cards)
   * nicnatsemi (for flash ROMs on National Semiconductor DP838* network cards)
   * nicintel (for parallel flash ROMs on Intel 10/100Mbit network cards)
   * gfxnvidia (for flash ROMs on NVIDIA graphics cards)
   * drkaiser (for flash ROMs on Dr. Kaiser PC-Waechter PCI cards)
   * satasii (for flash ROMs on Silicon Image SATA/IDE controllers)
   * satamv (for flash ROMs on Marvell SATA controllers)
   * atahpt (for flash ROMs on Highpoint ATA/RAID controllers)
   * atavia (for flash ROMs on VIA VT6421A SATA controllers)
   * atapromise (for flash ROMs on Promise PDC2026x ATA/RAID controllers)
   * it8212 (for flash ROMs on ITE IT8212F ATA/RAID controller)
   * ft2232_spi (for SPI flash ROMs attached to an FT2232/FT4232H/FT232H family
     based USB SPI programmer), including the DLP Design DLP-USB1232H,
     FTDI FT2232H Mini-Module, FTDI FT4232H Mini-Module, openbiosprog-spi,
     Amontec JTAGkey/JTAGkey-tiny/JTAGkey-2, Dangerous Prototypes Bus Blaster,
     Olimex ARM-USB-TINY/-H, Olimex ARM-USB-OCD/-H, TIAO/DIYGADGET USB
     Multi-Protocol Adapter (TUMPA), TUMPA Lite, GOEPEL PicoTAP,
     Google Servo v1/v2, and FIC OpenMoko Neo1973 Debug board.
   * serprog (for flash ROMs attached to a programmer speaking serprog),
     including AVR flasher by Urja Rannikko, AVR flasher by eightdot,
     Arduino Mega flasher by fritz, InSystemFlasher by Juhana Helovuo,
     and atmegaXXu2-flasher by Stefan Tauner.
   * buspirate_spi (for SPI flash ROMs attached to a Bus Pirate)
   * dediprog (for SPI flash ROMs attached to a Dediprog SF100)
   * rayer_spi (for SPI flash ROMs attached to a RayeR parport based programmer)
   * pony_spi (for SPI flash ROMs attached to a SI-Prog serial port
     bitbanging adapter)
   * nicintel_spi (for SPI flash ROMs on Intel Gigabit network cards)
   * ogp_spi (for SPI flash ROMs on Open Graphics Project graphics card)
   * linux_spi (for SPI flash ROMs accessible via /dev/spidevX.Y on Linux)
   * usbblaster_spi (for SPI flash ROMs attached to an Altera USB-Blaster)
   * nicintel_eeprom (for SPI EEPROMs on Intel Gigabit network cards)
   * mstarddc_spi (for SPI flash ROMs accessible through DDC in MSTAR-equipped
     displays)
   * pickit2_spi (for SPI flash ROMs accessible via Microchip PICkit2)
   * ch341a_spi (for SPI flash ROMs attached to WCH CH341A)

Package: libflashrom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libflashrom1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: BIOS/ROM/flash chips - development files
 flashrom is a tool for identifying, reading, writing, verifying and erasing
 flash chips. It's often used to flash BIOS/EFI/coreboot/firmware/optionROM
 images in-system using a supported mainboard, but it also supports flashing of
 network cards (NICs), SATA controller cards, and other external devices which
 can program flash chips.
 .
 It supports a wide range of DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32/40/48,
 and BGA chips, which use various protocols such as LPC, FWH, parallel
 flash, or SPI.
 .
 The tool can be used to flash BIOS/firmware images for example -- be it
 proprietary BIOS images or coreboot (previously known as LinuxBIOS) images.
 .
 It can also be used to read the current existing BIOS/firmware from a
 flash chip.
 .
 This package provides flashrom header development files.

Package: libflashrom1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Identify, read, write, erase, and verify BIOS/ROM/flash chips - library
 flashrom is a tool for identifying, reading, writing, verifying and erasing
 flash chips. It's often used to flash BIOS/EFI/coreboot/firmware/optionROM
 images in-system using a supported mainboard, but it also supports flashing of
 network cards (NICs), SATA controller cards, and other external devices which
 can program flash chips.
 .
 It supports a wide range of DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32/40/48,
 and BGA chips, which use various protocols such as LPC, FWH, parallel
 flash, or SPI.
 .
 The tool can be used to flash BIOS/firmware images for example -- be it
 proprietary BIOS images or coreboot (previously known as LinuxBIOS) images.
 .
 It can also be used to read the current existing BIOS/firmware from a
 flash chip.
 .
 This package provides flashrom library development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_INSTALL_TARGET := install PREFIX=$(CURDIR)/debian/flashrom/usr

# Reduce the number of unneeded dependencies with --as-needed.
LDFLAGS += "-Wl,--as-needed"

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq "$(DEB_HOST_ARCH)" "amd64"
	export BUILD=
else ifeq "$(DEB_HOST_ARCH)" "i386"
	export BUILD=
else
	export BUILD=
#-Dconfig_atahpt=false \
#                     -Dconfig_atapromise=false \
#                     -Dconfig_atavia=false \
#                     -Dconfig_drkaiser=false \
#                     -Dconfig_gfxnvidia=false \
#                     -Dconfig_it8212=false \
#                     -Dconfig_nic3com=false \
#                     -Dconfig_nicintel_eeprom=false \
#                     -Dconfig_nicintel=false \
#                     -Dconfig_nicintel_spi=false \
#                     -Dconfig_nicnatsemi=false \
#                     -Dconfig_nicrealtek=false \
#                     -Dconfig_ogp_spi=false \
#                     -Dconfig_rayer_spi=false \
#                     -Dconfig_satamv=false \
#                     -Dconfig_satasii=false \
#                     -Dconfig_internal=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Smeson -- $$BUILD

override_dh_auto_build:
	dh_auto_build -Smeson
	make flashrom.8

override_dh_auto_install:
	dh_auto_install -Smeson
	perl -ni -e '/Requires.private.*/ or print' debian/tmp/usr/lib/*/pkgconfig/flashrom.pc

## flashrom 1.4.0

=== Makefile ===
--- 
+++ 
@@ -30,11 +30,13 @@
 INSTALL = install
 PREFIX  ?= /usr/local
 MANDIR  ?= $(PREFIX)/share/man
+BASHCOMPDIR ?= $(PREFIX)/share/bash-completion/completions
 CFLAGS  ?= -Os -Wall -Wextra -Wno-unused-parameter -Wshadow -Wmissing-prototypes -Wwrite-strings
 EXPORTDIR ?= .
 RANLIB  ?= ranlib
 PKG_CONFIG ?= pkg-config
 BUILD_DETAILS_FILE ?= build_details.txt
+SPHINXBUILD ?= sphinx-build
 
 # The following parameter changes the default programmer that will be used if there is no -p/--programmer
 # argument given when running flashrom. The predefined setting does not enable any default so that every
@@ -113,6 +115,7 @@
 	CONFIG_ATAPROMISE \
 	CONFIG_DRKAISER \
 	CONFIG_GFXNVIDIA \
+	CONFIG_INTERNAL \
 	CONFIG_INTERNAL_X86 \
 	CONFIG_IT8212 \
 	CONFIG_NICINTEL \
@@ -136,6 +139,7 @@
 	CONFIG_SATAMV \
 
 DEPENDS_ON_LIBPCI := \
+	CONFIG_ASM106X \
 	CONFIG_ATAHPT \
 	CONFIG_ATAPROMISE \
 	CONFIG_ATAVIA \
@@ -155,6 +159,7 @@
 
 DEPENDS_ON_LIBUSB1 := \
 	CONFIG_CH341A_SPI \
+	CONFIG_CH347_SPI \
 	CONFIG_DEDIPROG \
 	CONFIG_DEVELOPERBOX_SPI \
 	CONFIG_DIGILENT_SPI \
@@ -207,19 +212,9 @@
 CONFIG_LIBFTDI1_CFLAGS     := $(call dependency_cflags, libftdi1)
 CONFIG_LIBFTDI1_LDFLAGS    := $(call dependency_ldflags, libftdi1)
 
-# Hack to keep legacy auto detection of Program Files (x86), Only active if none of the CONFIG_ variables for ni845x are set.
-ifeq ($(CONFIG_NI845X_LIBRARY_PATH)$(CONFIG_LIB_NI845X_CFLAGS)$(CONFIG_LIB_NI845X_LDFLAGS),)
-PROGRAMFILES_X86 = $(shell env | sed -n "s/^PROGRAMFILES(X86)=//p")
-ifneq ($(PROGRAMFILES_X86DIR),)
-ifneq ($(PROGRAMFILES_X86DIR), ${PROGRAMFILES})
-NI854_X86_LIBRARY_PATH := '${PROGRAMFILES_X86}\National Instruments\NI-845x\MS Visual C'
-endif
-endif
-endif
-
-CONFIG_NI845X_LIBRARY_PATH := '${PROGRAMFILES}\National Instruments\NI-845x\MS Visual C'
-CONFIG_LIB_NI845X_CFLAGS   := -I$(CONFIG_NI845X_LIBRARY_PATH) $(if NI854_X86_LIBRARY_PATH, -I${NI854_X86_LIBRARY_PATH})
-CONFIG_LIB_NI845X_LDFLAGS  := -L$(CONFIG_NI845X_LIBRARY_PATH) $(if NI854_X86_LIBRARY_PATH, -L${NI854_X86_LIBRARY_PATH}) -lni845x
+CONFIG_NI845X_LIBRARY_PATH := 'C:\Program Files (x86)\National Instruments\NI-845x\MS Visual C'
+CONFIG_LIB_NI845X_CFLAGS   := -I$(CONFIG_NI845X_LIBRARY_PATH)
+CONFIG_LIB_NI845X_LDFLAGS  := -L$(CONFIG_NI845X_LIBRARY_PATH) -lni845x
 
 CONFIG_LIBJAYLINK_VERSION  := $(call dependency_version, libjaylink)
 CONFIG_LIBJAYLINK_CFLAGS   := $(call dependency_cflags, libjaylink)
@@ -232,6 +227,10 @@
 CONFIG_LIBPCI_VERSION      := $(call dependency_version, libpci)
 CONFIG_LIBPCI_CFLAGS       := $(call dependency_cflags, libpci)
 CONFIG_LIBPCI_LDFLAGS      := $(call dependency_ldflags, libpci)
+
+CONFIG_SPHINXBUILD_VERSION :=
+CONFIG_SPHINXBUILD_MAJOR   := 0
+
 
 # Determine the destination OS, architecture and endian
 # IMPORTANT: The following lines must be placed before TARGET_OS, ARCH or ENDIAN
@@ -248,7 +247,7 @@
 HAS_LIBUSB1         := $(call find_dependency, libusb-1.0)
 HAS_LIBPCI          := $(call find_dependency, libpci)
 
-HAS_PCI_OLD_GET_DEV := $(call c_compile_test, Makefile.d/pci_old_get_dev_test.c, $(CONFIG_LIBPCI_CFLAGS))
+HAS_GETOPT          := $(call c_compile_test, Makefile.d/getopt_test.c)
 HAS_FT232H          := $(call c_compile_test, Makefile.d/ft232h_test.c, $(CONFIG_LIBFTDI1_CFLAGS))
 HAS_UTSNAME         := $(call c_compile_test, Makefile.d/utsname_test.c)
 HAS_CLOCK_GETTIME   := $(call c_compile_test, Makefile.d/clock_gettime_test.c)
@@ -256,7 +255,9 @@
 HAS_LINUX_MTD       := $(call c_compile_test, Makefile.d/linux_mtd_test.c)
 HAS_LINUX_SPI       := $(call c_compile_test, Makefile.d/linux_spi_test.c)
 HAS_LINUX_I2C       := $(call c_compile_test, Makefile.d/linux_i2c_test.c)
+HAS_PCIUTILS        := $(call c_compile_test, Makefile.d/pciutils_test.c)
 HAS_SERIAL          := $(strip $(if $(filter $(TARGET_OS), DOS libpayload), no, yes))
+HAS_SPHINXBUILD     := $(shell command -v $(SPHINXBUILD) >/dev/null 2>/dev/null && echo yes || echo no)
 EXEC_SUFFIX         := $(strip $(if $(filter $(TARGET_OS), DOS MinGW), .exe))
 
 override CFLAGS += -Iinclude
@@ -322,3 +323,12 @@
 
 ifeq ($(TARGET_OS), Android)
 # Android on x86 (currently) does not provide raw PCI port I/O operations.
+$(call mark_unsupported,$(DEPENDS_ON_X86_PORT_IO))
+endif
+
+# Disable the internal programmer on unsupported architectures or systems
+ifeq ($(or $(filter $(ARCH), x86), $(filter $(TARGET_OS), Linux)), )
+$(call mark_unsupported,CONFIG_INTERNAL)
+endif
+
+ifeq ($(HAS_LIBPCI), no)

=== meson_options.txt ===
option('classic_cli', type : 'feature', value : 'enabled', description : 'classic flashrom cli binary')
option('classic_cli_print_wiki', type : 'feature', value : 'disabled',  description : 'Print Wiki')
option('default_programmer_name', type : 'string', description : 'default programmer')
option('default_programmer_args', type : 'string', description : 'default programmer arguments')
option('ich_descriptors_tool', type : 'feature', value : 'auto', description : 'Build ich_descriptors_tool')
option('bash_completion', type : 'feature', value : 'auto', description : 'Install bash completion')
option('tests', type : 'feature', value : 'auto', description : 'Build unit tests')
option('use_internal_dmi', type : 'boolean', value : true)
option('programmer', type : 'array', value : ['auto'], choices : [
        'auto', 'all',
        'group_internal', 'group_external',
        'group_ftdi', 'group_i2c', 'group_jlink', 'group_pci', 'group_serial', 'group_usb',
        'asm106x', 'atahpt', 'atapromise', 'atavia', 'buspirate_spi', 'ch341a_spi', 'ch347_spi','dediprog',
        'developerbox_spi', 'digilent_spi', 'dirtyjtag_spi', 'drkaiser', 'dummy', 'ft2232_spi',
        'gfxnvidia', 'internal', 'it8212', 'jlink_spi', 'linux_mtd', 'linux_spi', 'mediatek_i2c_spi',
        'mstarddc_spi', 'ni845x_spi', 'nic3com', 'nicintel', 'nicintel_eeprom', 'nicintel_spi', 'nicnatsemi',
        'nicrealtek', 'ogp_spi', 'parade_lspcon', 'pickit2_spi', 'pony_spi', 'raiden_debug_spi',
        'rayer_spi', 'realtek_mst_i2c_spi', 'satamv', 'satasii', 'serprog',  'stlinkv3_spi', 'usbblaster_spi',
], description: 'Active programmers')
option('llvm_cov', type : 'feature', value : 'disabled', description : 'build for llvm code coverage')
option('man-pages', type : 'feature', value : 'auto', description : 'build the man-page for classic_cli')
option('documentation', type : 'feature', value : 'auto', description : 'build the html documentation')
option('ni845x_search_path', type : 'string', value : 'C:\Program Files (x86)\National Instruments\Ni-845x\MS Visual C',
       description : 'Path to search for the proprietary ni845x library and header (32-bit Windows only)')
option('delay_minimum_sleep_us', type : 'integer', min : 0, value : 100000,
       description : 'Minimum time in microseconds to suspend execution for (rather than polling) when a delay is required.'
                   + ' Larger values may perform better on machines with low timer resolution, at the cost of increased power.')

=== debian/changelog ===
flashrom (1.4.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/series,d/control: keep libjaylink disabled to avoid MIR (LP #2007283)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 17 Oct 2024 21:58:58 +0100

flashrom (1.4.0-3) unstable; urgency=medium

  * Install missing b-d python3-sphinx. (Closes: #1078815)
    Thanks Bastian Germann for the hint.
  * Manually install the manpage.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Aug 2024 16:40:48 +0000

flashrom (1.4.0-2) unstable; urgency=medium

  * Fix manpage source path.

 -- Alex Myczko <tar@debian.org>  Thu, 15 Aug 2024 18:39:50 +0000

flashrom (1.4.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #1059347, #1056003, #962670)

 -- Alex Myczko <tar@debian.org>  Mon, 12 Aug 2024 19:29:42 +0000

flashrom (1.3.0-3) unstable; urgency=medium

  * Ack NMU.
  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:29:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
-Uploaders: Jeremiah C. Foster <jeremiah.foster@puri.sm>, Mario Limonciello <mario.limonciello@dell.com>, Gürkan Myczko <tar@debian.org>
+Uploaders:
+ Jeremiah C. Foster <jeremiah.foster@puri.sm>,
+ Mario Limonciello <mario.limonciello@dell.com>,
+ Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
+ python3-sphinx,
  libpci-dev,
  libusb-1.0-0-dev [!hurd-i386],
  libftdi1-dev [!hurd-i386],
  meson
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/myczko-guest/flashrom
 Vcs-Git: https://salsa.debian.org/myczko-guest/flashrom.git
 Homepage: http://www.flashrom.org

## flashrom 1.6.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 option('classic_cli', type : 'feature', value : 'enabled', description : 'classic flashrom cli binary')
-option('classic_cli_print_wiki', type : 'feature', value : 'disabled',  description : 'Print Wiki')
 option('default_programmer_name', type : 'string', description : 'default programmer')
 option('default_programmer_args', type : 'string', description : 'default programmer arguments')
 option('ich_descriptors_tool', type : 'feature', value : 'auto', description : 'Build ich_descriptors_tool')
@@ -15,13 +14,18 @@
         'gfxnvidia', 'internal', 'it8212', 'jlink_spi', 'linux_mtd', 'linux_spi', 'mediatek_i2c_spi',
         'mstarddc_spi', 'ni845x_spi', 'nic3com', 'nicintel', 'nicintel_eeprom', 'nicintel_spi', 'nicnatsemi',
         'nicrealtek', 'ogp_spi', 'parade_lspcon', 'pickit2_spi', 'pony_spi', 'raiden_debug_spi',
-        'rayer_spi', 'realtek_mst_i2c_spi', 'satamv', 'satasii', 'serprog',  'stlinkv3_spi', 'usbblaster_spi',
+        'rayer_spi', 'realtek_mst_i2c_spi', 'satamv', 'satasii', 'serprog', 'spidriver', 'stlinkv3_spi',
+        'usbblaster_spi',
 ], description: 'Active programmers')
 option('llvm_cov', type : 'feature', value : 'disabled', description : 'build for llvm code coverage')
 option('man-pages', type : 'feature', value : 'auto', description : 'build the man-page for classic_cli')
 option('documentation', type : 'feature', value : 'auto', description : 'build the html documentation')
+option('generate_authors_list', type : 'feature', value : 'auto', description : 'include automatically-generated lists of authors in the HTML documentation')
 option('ni845x_search_path', type : 'string', value : 'C:\Program Files (x86)\National Instruments\Ni-845x\MS Visual C',
        description : 'Path to search for the proprietary ni845x library and header (32-bit Windows only)')
-option('delay_minimum_sleep_us', type : 'integer', min : 0, value : 100000,
+option('delay_minimum_sleep_us', type : 'integer', min : 0, value : 100,
        description : 'Minimum time in microseconds to suspend execution for (rather than polling) when a delay is required.'
                    + ' Larger values may perform better on machines with low timer resolution, at the cost of increased power.')
+option('rpmc', type : 'feature', value : 'auto', description : 'Support for Replay Protected Monotonic Counter (RPMC) commands as specified by JESD260')
+option('log_message_length_limit', type : 'integer', min : 64, max : 1024, value : 256,
+       description : 'Log message length limit for v2 logging API')

=== util/manibuilder/Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 		--env IDENT=$(call ident,$*) \
 		--volume manicache:/home/mani/.ccache \
 		--name mani_$(call ident,$*) mani/$* \
-		"git fetch origin $${TEST_REVISION:-master} && \
+		"git fetch origin $${TEST_REVISION:-main} && \
 		 git checkout FETCH_HEAD && \
 		 $(MAKECMD) clean && $(MAKECMD) -j$${CPUS:-1} CC='$(CC)' \
 		 $(if $(STRIP),STRIP='$(STRIP)') \

=== debian/changelog ===
flashrom (1.6.0-2) unstable; urgency=medium

  * Add patch for FTBFs on big endian

 -- Mario Limonciello <superm1@debian.org>  Mon, 18 Aug 2025 14:58:08 -0500

flashrom (1.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@debian.org>  Wed, 13 Aug 2025 15:24:57 -0500

=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,10 @@
 
 override_dh_auto_build:
 	dh_auto_build -Smeson
-	make flashrom.8
+#	make flashrom.8
 
 override_dh_auto_install:
 	dh_auto_install -Smeson
+	-mkdir -p $(CURDIR)/debian/flashrom/usr/share/man/man8
+	-cp $(CURDIR)/debian/tmp/usr/share/man/man8/flashrom.8 $(CURDIR)/debian/flashrom/usr/share/man/man8/
 	perl -ni -e '/Requires.private.*/ or print' debian/tmp/usr/lib/*/pkgconfig/flashrom.pc

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/flashrom/flashrom/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
